# xoxys.sudo
  
[![Build Status](https://drone.rknet.org/api/badges/ansible/xoxys.sudo/status.svg)](https://drone.rknet.org/ansible/xoxys.sudo)


Configure sudoers environment

## Table of content

* [Default Variables](#default-variables)
  * [sudo_packages](#sudo_packages)
  * [sudo_misc_settings](#sudo_misc_settings)
  * [sudo_env_keep](#sudo_env_keep)
  * [sudo_aliases](#sudo_aliases)
  * [sudo_secure_path](#sudo_secure_path)
* [Dependencies](#dependencies)
* [License](#license)
* [Author](#author)

---

## Default Variables

### sudo_packages

#### Default value

```YAML
sudo_packages:
  - sudo
```

### sudo_misc_settings

#### Default value

```YAML
sudo_misc_settings:
  - '!visiblepw'
  - always_set_home
  - env_reset
```

### sudo_env_keep

#### Default value

```YAML
sudo_env_keep:
  - COLORS
  - DISPLAY
  - HOSTNAME
  - HISTSIZE
  - INPUTRC
  - KDEDIR
  - LS_COLORS
  - MAIL
  - PS1
  - PS2
  - QTDIR
  - USERNAME
  - LANG
  - LC_ADDRESS
  - LC_CTYPE
  - LC_COLLATE
  - LC_IDENTIFICATION
  - LC_MEASUREMENT
  - LC_MESSAGES
  - LC_MONETARY
  - LC_NAME
  - LC_NUMERIC
  - LC_PAPER
  - LC_TELEPHONE
  - LC_TIME
  - LC_ALL
  - LANGUAGE
  - LINGUAS
  - _XKB_CHARSET
  - XAUTHORITY
```

### sudo_aliases

#### Default value

```YAML
sudo_aliases: []
```

#### Example usage

```YAML
sudo_aliases:
  - name: os_admin
    user_aliases:
      - name: admins
        value:
          - my_admin
    cmnd_aliases:
      - name:
        value:
    specs:
      - ADMINS ALL= NOPASSWD:ALL
```

### sudo_secure_path

#### Default value

```YAML
sudo_secure_path: /sbin:/bin:/usr/sbin:/usr/bin
```

## Dependencies

None.

## License

MIT

## Author

xoxys <mail@geeklabor.de>
